be.ehealth.technicalconnector.exception

## Enum UnsealConnectorExceptionValues

- java.lang.Object
- - java.lang.Enum<UnsealConnectorExceptionValues>
  - - be.ehealth.technicalconnector.exception.UnsealConnectorExceptionValues

- All Implemented Interfaces:
    Serializable, Comparable<UnsealConnectorExceptionValues>

      public enum UnsealConnectorExceptionValues
      extends Enum<UnsealConnectorExceptionValues>

  Enumeration for possible UnsealConnector exceptions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR_CRYPTO` Error while trying to (un)seal: {0}.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()`
    `String` | `getMessage()`
    `static UnsealConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UnsealConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR_CRYPTO

          public static final UnsealConnectorExceptionValues ERROR_CRYPTO

      Error while trying to (un)seal: {0}.

  - ### Method Detail

    - #### values

          public static UnsealConnectorExceptionValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnsealConnectorExceptionValues c : UnsealConnectorExceptionValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnsealConnectorExceptionValues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getErrorCode

          public String getErrorCode()

      Returns:
        the errorCode

    - #### getMessage

          public String getMessage()

      Returns:
        the errorMessage

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.